/ lang / isnumber
IsNumber
Syntax

    bRes = IsNumber ( vExpr ) AS Boolean
    bRes = Number? ( vExpr ) AS Boolean

Returns if an expression is a number, i.e. if it is:

- A Boolean.
- A Byte, Short, Integer or Long number.
- A Float number.

### Examples

    PRINT IsNumber(1)
    <hr>True

    PRINT IsNumber(False)
    <hr>True

    PRINT IsNumber(Pi)
    <hr>True

    PRINT IsNumber(Now)
    <hr>False

    PRINT IsNumber(NULL)
    <hr>False

### See also

Datatype Functions